<?php
// --------------------------------------
// création du tableau à deux dimensions
// --------------------------------------
$Tab_Amort = array(
   1 => array("Mensualité"=>2000, "Amortissement"=> 1000),
   2 => array("Mensualité"=>1900, "Amortissement"=> 1100),
   3 => array("Mensualité"=>1800, "Amortissement"=> 1200),
   );
   
// affichage avec var_dump   
echo 'var_dump($Tab_Amort) : '.PHP_EOL;
var_dump($Tab_Amort);

// foreach imbriquées   
foreach ($Tab_Amort as $NumEcheance => $Tab_Amort_Ligne)
{
  echo "Echéance = $NumEcheance\t";
  foreach ($Tab_Amort_Ligne as $clef => $valeur)
  {
    echo "$clef = $valeur\t";
  }
  echo PHP_EOL;
}
// --------------------------------------
// création du tableau à trois dimensions
// --------------------------------------
$Tab_Amort3D = array(
   1 => array(
              "Mensualité"   => array("Montant"=>2000, "Type" => "Assurance Comprise"),
              "Amortissement"=> array("Montant"=>1000, "Pourcentage" => 50)
              ),
   2 => array(
              "Mensualité"   => array("Montant"=>1900, "Type" => "Assurance Comprise"),
              "Amortissement"=> array("Montant"=>1100, "Pourcentage" => 58)
              ),
   3 => array(
              "Mensualité"   => array("Montant"=>1800, "Type" => "Assurance Comprise"),
              "Amortissement"=> array("Montant"=>1200, "Pourcentage" => 66)
              ),
   );
   
// affichage avec var_dump   
echo 'var_dump($Tab_Amort) : '.PHP_EOL;
var_dump($Tab_Amort3D);

// foreach imbriquées   
foreach ($Tab_Amort3D as $NumEcheance => $Tab_Amort_Mens)
{
  echo "Echéance = $NumEcheance\t";
  foreach ($Tab_Amort_Mens as $Type => $Tab_Type)
  {
    foreach ($Tab_Type as $clef => $valeur)
    {
     echo "$clef = $valeur\t";
    }
  }
  echo PHP_EOL;
}

?>
